Package com.usatiuk.kleppmanntree

# Interface LogInterface<TimestampT extends Comparable<TimestampT>,PeerIdT extends Comparable<PeerIdT>,MetaT extends NodeMeta,NodeIdT>

public interface LogInterface<TimestampT extends Comparable<TimestampT>,PeerIdT extends Comparable<PeerIdT>,MetaT extends NodeMeta,NodeIdT>

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsKey(CombinedTimestamp<TimestampT,PeerIdT> timestamp)`
`List<org.apache.commons.lang3.tuple.Pair<CombinedTimestamp<TimestampT,PeerIdT>,LogRecord<TimestampT,PeerIdT,MetaT,NodeIdT>>>`
`getAll()`
`boolean`
`isEmpty()`
`List<org.apache.commons.lang3.tuple.Pair<CombinedTimestamp<TimestampT,PeerIdT>,LogRecord<TimestampT,PeerIdT,MetaT,NodeIdT>>>`
`newestSlice(CombinedTimestamp<TimestampT,PeerIdT> since, boolean inclusive)`
`org.apache.commons.lang3.tuple.Pair<CombinedTimestamp<TimestampT,PeerIdT>,LogRecord<TimestampT,PeerIdT,MetaT,NodeIdT>>`
`peekNewest()`
`org.apache.commons.lang3.tuple.Pair<CombinedTimestamp<TimestampT,PeerIdT>,LogRecord<TimestampT,PeerIdT,MetaT,NodeIdT>>`
`peekOldest()`
`void`
`put(CombinedTimestamp<TimestampT,PeerIdT> timestamp, LogRecord<TimestampT,PeerIdT,MetaT,NodeIdT> record)`
`void`
`replace(CombinedTimestamp<TimestampT,PeerIdT> timestamp, LogRecord<TimestampT,PeerIdT,MetaT,NodeIdT> record)`
`long`
`size()`
`org.apache.commons.lang3.tuple.Pair<CombinedTimestamp<TimestampT,PeerIdT>,LogRecord<TimestampT,PeerIdT,MetaT,NodeIdT>>`
`takeOldest()`

## Method Details

### peekOldest

org.apache.commons.lang3.tuple.Pair<CombinedTimestamp<TimestampT,PeerIdT>,LogRecord<TimestampT,PeerIdT,MetaT,NodeIdT>> peekOldest()

### takeOldest

org.apache.commons.lang3.tuple.Pair<CombinedTimestamp<TimestampT,PeerIdT>,LogRecord<TimestampT,PeerIdT,MetaT,NodeIdT>> takeOldest()

### peekNewest

org.apache.commons.lang3.tuple.Pair<CombinedTimestamp<TimestampT,PeerIdT>,LogRecord<TimestampT,PeerIdT,MetaT,NodeIdT>> peekNewest()

### newestSlice

List<org.apache.commons.lang3.tuple.Pair<CombinedTimestamp<TimestampT,PeerIdT>,LogRecord<TimestampT,PeerIdT,MetaT,NodeIdT>>> newestSlice(CombinedTimestamp<TimestampT,PeerIdT> since, boolean inclusive)

### getAll

List<org.apache.commons.lang3.tuple.Pair<CombinedTimestamp<TimestampT,PeerIdT>,LogRecord<TimestampT,PeerIdT,MetaT,NodeIdT>>> getAll()

### isEmpty

boolean isEmpty()

### containsKey

boolean containsKey(CombinedTimestamp<TimestampT,PeerIdT> timestamp)

### size

long size()

### put

void put(CombinedTimestamp<TimestampT,PeerIdT> timestamp, LogRecord<TimestampT,PeerIdT,MetaT,NodeIdT> record)

### replace

void replace(CombinedTimestamp<TimestampT,PeerIdT> timestamp, LogRecord<TimestampT,PeerIdT,MetaT,NodeIdT> record)